%define name    gecko-sharp
%define version 0.5
%define release 2mdk

Summary:       Gecko-sharp is a C# language binding for the gtkembedmoz widget.
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source:        http://www.go-mono.com/archive/beta1/%{name}-%{version}.tar.bz2
URL:           http://www.go-mono.com
License:       LGPL/MPL
Group:         System/Libraries
Provides:      gtkmozembed-sharp == %{version}
Requires:      mono >= 0.95
Requires:      gtk-sharp >= 0.93
Requires:      mozilla >= 1.6
BuildRequires: gtk2-devel
BuildRequires: gtk-sharp-devel
BuildRequires: mozilla-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description 
Gecko-sharp is a C# language binding for the gtkembedmoz widget. You
can use it to embed mozilla into C# programs.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README sample
%_bindir/webshot
%{_libdir}/mono/gac/*
%{_libdir}/mono/gecko-sharp
%{_libdir}/gecko-sharp
%{_libdir}/pkgconfig/*


%changelog
* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- update file list
- fix autoconf macro
- fix description
- enable parallel build
- new version

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.4-2mdk
- buildrequires (slbd)

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
- First rpm for mandrake
